Languages, performance tiers, regions, and the default voice
GET
https://server.heyrik.com/api/v1/voice-optionsHeaders
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Response
Explore the example values. This is not a complete response schema.
dataobjectExplore 5 properties
languagesarrayExplore 2 example items
[0]objectExplore 2 properties
codestringExample "en-IN"
labelstringExample "English (India)"
[1]objectExplore 2 properties
codestringExample "hi-IN"
labelstringExample "Hindi"
llm_modelsarrayExplore 2 example items
[0]objectExplore 4 properties
providerstringExample "heyrik"
modelstringExample "standard"
labelstringExample "Standard - fastest (Mumbai)"
global_onlybooleanExample false
[1]objectExplore 4 properties
providerstringExample "heyrik"
modelstringExample "economy"
labelstringExample "Economy - lowest cost (global only)"
global_onlybooleanExample true
llm_regionsarrayExplore 2 example items
[0]objectExplore 2 properties
valuestringExample ""
labelstringExample "Automatic (recommended)"
[1]objectExplore 2 properties
valuestringExample "asia-south1"
labelstringExample "Mumbai (asia-south1)"
voice_enginestringExample "Astra v1"
default_voiceobjectExplore 2 properties
idstringExample "vx_950e0089813d"
namestringExample "Indira"
GET/voice-options
cURL
curl https://server.heyrik.com/api/v1/voice-options \
-H "Authorization: Bearer $HEYRIK_API_KEY"Response example
JSON
{
"data": {
"languages": [
{ "code": "en-IN", "label": "English (India)" },
{ "code": "hi-IN", "label": "Hindi" }
],
"llm_models": [
{ "provider": "heyrik", "model": "standard", "label": "Standard - fastest (Mumbai)", "global_only": false },
{ "provider": "heyrik", "model": "economy", "label": "Economy - lowest cost (global only)", "global_only": true }
],
"llm_regions": [
{ "value": "", "label": "Automatic (recommended)" },
{ "value": "asia-south1", "label": "Mumbai (asia-south1)" }
],
"voice_engine": "Astra v1",
"default_voice": { "id": "vx_950e0089813d", "name": "Indira" }
}
}Illustrative examples · No live request is sent
